Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154487 - Boot after install hangs; fstab given improper label
Summary: Boot after install hangs; fstab given improper label
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-12 06:16 UTC by Andrew Zschetzsche
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-27 22:59:19 UTC


Attachments (Terms of Use)

Description Andrew Zschetzsche 2005-04-12 06:16:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.7.6) Gecko/20050324 Firefox/1.0.2

Description of problem:
After an install of FC4test2-ppc, when the computer is rebooted it hangs because when anaconda wrote the fstab file, the root partition was given a disk label to reference, and the startup process couldn't find it.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Install FC4test2-ppc
2. Reboot
3. 
  

Actual Results:  The computer hanged and presented a screen requesting root maintence.

Expected Results:  A normal bootup.

Additional info:

I'm not sure if it's a poorly written fstab file, or if it's that the disk label did'nt get set by the format process.

Comment 1 Jeremy Katz 2005-04-12 15:26:36 UTC
Can you provide the fstab?

Comment 2 Andrew Zschetzsche 2005-04-13 06:59:59 UTC
I'm extremely sorry but I've already modified it and didn't save a backup of the
orginal.

Hindsight is 20/20.

Comment 3 Jeremy Katz 2005-04-13 15:32:18 UTC
Hmmm.  Can you provide /sbin/e2label for each of the partitions you were mounting?

Comment 4 Andrew Zschetzsche 2005-04-13 18:37:52 UTC
I'm really sorry, I already re-installed Yellow Dog Linux, but I'm pretty sure
it was /1.


I just saw that I didn't mention this before: the first line in the fstab was
something like:

LABEL=/1        ext3   ........

(and there may have been something like /dev/hda/ before it.)

Sorry, I hope I'm not wasting your time; I kinda feel like an a$$.  I guess I
could backup and install test2 again.....

Comment 5 Andrew Zschetzsche 2005-04-13 18:38:35 UTC
I'm really sorry, I already re-installed Yellow Dog Linux, but I'm pretty sure
it was /1.


I just saw that I didn't mention this before: the first line in the fstab was
something like:

LABEL=/1        ext3   ........

(and there may have been something like /dev/hda/ before it.)

Sorry, I hope I'm not wasting your time; I kinda feel like an a$$.  I guess I
could backup and install test2 again.....

Comment 6 Colin Charles 2005-04-20 04:24:23 UTC
I did an install from a rawhide snapshot, and /etc/fstab seemed to have been
written quite niely. Things just worked

Andrew, do you mind reinstalling test2, and seeing if you can reproduce it?
Also, give us more details about /dev/hda

Comment 7 Andrew Zschetzsche 2005-04-25 04:17:08 UTC
Well, I reinstalled FC4 Test2, allowing it to install over all existing
partitions.  This time everything "just worked."  Once it was booted into Gnome,
I looked at the fstab and the only partition referenced via a LABEL tag was
boot, correctly as "LABEL=/boot".

/dev/hda is just the standard Ultra ATA 12GB hard disk that shipped on the Blue
& White G3 Macintoshes.  Also, I think I have a revision 2 motherboard.  I'm
sure it's the master drive.  Past that, I don't know much about it.

Comment 8 Jeremy Katz 2005-04-27 22:59:19 UTC
Think this should be fixed now


Note You need to log in before you can comment on or make changes to this bug.